{% extends 'animeflix_app/pages/video.html' %}
{% load static %}

{% block updatedContent %}

    {% with a.last_ep as ep %}
        {% if ep and ep.daysPassed < 15 %}
            <div class="col cardColumn">
                <div class="card shadow-sm">
                    <div class="card-body">
                        <div class="text-center mb-3">
                            <img src="{{ a.copertina }}" alt="{{ a.copertina }}" class="img-fluid">
                        </div>
                        <div class="d-flex justify-content-center">
                            <h5 class="card-text text-dark mx-auto">{{ ep.id_anime.titolo }}</h5>
                            {% if a.premium %}
                                <img class="img-fluid rounded-circle white-img-filter bg-primary p-1"
                                     src="{% static 'icons/workspace_premium_black.svg' %}" alt="premium_icon">
                            {% endif %}
                        </div>
                        <div class="d-flex justify-content-start">
                            <small class="text-muted">Ep {{ ep.numero|floatformat:"0" }} - {{ ep.data_car|timesince }} ago</small>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary" name="watch" value="{{ a.id }}">Watch it!</button>
                </div>
            </div>
        {% endif %}
    {% endwith %}
{% endblock %}